com.h3c.sdn.adm.dao.model

## Class AlertTopicListenerEntity

- java.lang.Object
- - com.h3c.sdn.dao.model.BaseEntity
  - - com.h3c.sdn.adm.dao.model.AlertTopicListenerEntity

- All Implemented Interfaces:
    Storable<UUID>

      @Entity
      public class AlertTopicListenerEntity
      extends BaseEntity

  Alert topic listener entity.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AlertTopicListenerEntity.EmbeddableCallback` Embeddable Callback.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlertTopicListenerEntity()` Default constructor used by persistence framework.
    `AlertTopicListenerEntity(UUID uid, String apId, String name, Set<AlertTopicListener.CallBack> callbacks)` Creates an alert topic listener entity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `appId()` Returns the application contributing the listener.
    `Set<AlertTopicListenerEntity.EmbeddableCallback>` | `getCallbacks()` Returns the call back definitions that have been defined for this listener.
    `String` | `name()` Returns the name for the listener.
    `void` | `setCallbacks(Set<AlertTopicListener.CallBack> callbacks)`

    - ### Methods inherited from class com.h3c.sdn.dao.model.BaseEntity

      `equals, getId, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AlertTopicListenerEntity

          public AlertTopicListenerEntity()

      Default constructor used by persistence framework.

    - #### AlertTopicListenerEntity

          public AlertTopicListenerEntity(UUID uid,
                                  String apId,
                                  String name,
                                  Set<AlertTopicListener.CallBack> callbacks)

      Creates an alert topic listener entity.
      Parameters:
        `uid` - identity.
        `apId` - the application contributing the listener.
        `name` - the name for the listener.
        `callbacks` - callbacks.

  - ### Method Detail

    - #### appId

          public String appId()

      Returns the application contributing the listener.
      Returns:
        the application contributing the listener.

    - #### name

          public String name()

      Returns the name for the listener.
      Returns:
        the name for the listener.

    - #### setCallbacks

          public void setCallbacks(Set<AlertTopicListener.CallBack> callbacks)

    - #### getCallbacks

          public Set<AlertTopicListenerEntity.EmbeddableCallback> getCallbacks()

      Returns the call back definitions that have been defined for this listener.
      Returns:
        the call backs

Copyright © 2014. All Rights Reserved.